Subject: [alpine-devel] [PATCH] testing/py-docutils: new aport

From: Matt Smith <[email-masked]>
Date: Tue, 14 Dec 2010 23:26:56 -0600

---
 testing/py-docutils/APKBUILD |   51 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)
 create mode 100644 testing/py-docutils/APKBUILD

diff --git a/testing/py-docutils/APKBUILD b/testing/py-docutils/APKBUILD
new file mode 100644
index 0000000..c9fcc9b
--- /dev/null
+++ b/testing/py-docutils/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer:  Matt Smith <[email-masked]>
+pkgname=py-docutils
+_pkgname=docutils
+pkgver=0.7
+pkgrel=0
+pkgdesc="Documentation Utilities for Python"
+url="http://docutils.sourceforge.net/"
+arch="x86 x86_64"
+license="PublicDomain"
+depends="python py-imaging py-roman"
+makedepends="python-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root "$pkgdir"
+}
+
+doc() {
+	cd "$_builddir"
+
+	for docdir in docs licenses; do
+		mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/$docdir
+		cp -R ./$docdir/* "$subpkgdir"/usr/share/doc/$pkgname/$docdir/
+		chmod -R 644 "$subpkgdir"/usr/share/doc/$pkgname/$docdir/
+	done
+
+	for doc in BUGS.txt COPYING.txt FAQ.txt HISTORY.txt README.txt RELEASE-NOTES.txt THANKS.txt; do
+		install -m644 -D $doc "$subpkgdir"/usr/share/doc/$pkgname/
+	done
+
+	# Fix subdir perms
+	find "$subpkgdir"/usr/share/doc/$pkgname/ -type d -exec chmod 755 '{}' \;
+}
+
+md5sums="9aec716baf15d06b5aa57cf8d5591c15  docutils-0.7.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---